%define uname ices
%define gname ices

Name: ices
Version: 2.0.1
Release: 1
Summary: Another streamer for icecast
Summary(pt_BR): Mais um streamer para icecast
Summary(es): Another streamer for icecast
Group: Applications/Multimedia
Group(pt_BR): Rede
Group(es): Red
License: GPL
URL: http://www.icecast.org
Source0: http://www.icecast.org/releases/%{name}/%{name}-%{version}.tar.bz2
Source1: ices.init
Patch0: ices-2.0.1-include.patch
BuildRequires: libshout-devel libxml2-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
ices, armed with a list of mp3 files, sends a continuous stream of
mp3 data to an icecast server. The server is then responsible for
accepting client connections and feeding the mp3 stream to them.

%description -l pt_BR
ices, armed with a list of mp3 files, sends a continuous stream of mp3 data to
an icecast server. The server is then responsible for accepting client
connections and feeding the mp3 stream to them.

%description -l es
ices, armed with a list of mp3 files, sends a continuous stream of mp3 data to
an icecast server. The server is then responsible for accepting client
connections and feeding the mp3 stream to them.

%prep
%setup -q
%patch -p1

%build
autoconf
%configure

make %{?_smp_mflags}

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/rc.d/init.d
install -m 755 %{SOURCE1} \
	%{buildroot}%{_sysconfdir}/rc.d/init.d/%{name}

make DESTDIR=%{buildroot} install

# move the default configuration files to config directory
install -d %{buildroot}%{_sysconfdir}/%{name}
mv %{buildroot}%{_datadir}/%{name}/*.xml \
	%{buildroot}%{_sysconfdir}/%{name}/

%{__mkdir_p} $RPM_BUILD_ROOT/var/log/%{name}

%pre
# create user (and group) for ices
/usr/sbin/useradd -c "Ices" -s /bin/false -r \
	-d /etc/%{name} %{uname} >/dev/null 2>&1 || :

%post
chkconfig --add %{name}

%preun
if [ "$1" = 0 ] ; then
	chkconfig --del %{name}
fi

%postun
if [ $1 = 0 ] ; then
	userdel %{uname} >/dev/null 2>&1 || :
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README TODO
%doc doc/*.html doc/*.css
%config(noreplace) %attr(0640,root,%{gname}) %{_sysconfdir}/%{name}/*.xml
%{_bindir}/%{name}
%{_sysconfdir}/rc.d/init.d/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%attr(775,root,%{gname}) %dir /var/log/%{name}

%changelog
* Mon Jul  4 2005 Peter Hanecak <hanecak@megaloman.sk> 2.0.1-1
- updated to 2.0.1
- %%{?_smp_mflags} used with 'make'
- changed group

* Sun Sep 22 2002 Peter Hanecak <hanecak@megaloman.sk> 0.2.3-2
- do not run ices as root

* Mon Sep 16 2002 Peter Hanecak <hanecak@megaloman.sk> 0.2.3-1
- updated to 0.2.3 (libshout 1.0.9 is included)
- disabled python support

* Tue Dec  4 2001 Peter Hanecak <hanecak@megaloman.sk>
- adapted to Doors Linux
- updated to 0.1.0
- changed config directory to %%{_sysconfdir}/%%{name} so we do not
  interfere with icecast (if installed)
- .bz2 source archiv used

* Fri Jun 22 2001 Magic Bumper <dist@conectiva.com.br>
+ ices-1.0.4-5cl
- pt_BR descriptions and summaries updated

* Fri Jun 01 2001 Andreas Christian Hasenack <andreas@conectiva.com>
+ ices-0.0.1beta5-4cl
- Closes: #3411 (Compatibilizar com o novo layout da libxml2)
- using standard xml2 layout now
- changed python patch for python-2.1

* Tue May 08 2001 Flavio Bruno Leitner <flavio@conectiva.com>
+ ices-0.0.1beta5-3cl
- recompiled to link with correct libxml2 and not /usr/lib/libxml.so.2

* Fri Jan 26 2001 Andreas Hasenack <andreas@conectiva.com>
+ ices-0.0.1beta5-2cl
+ libshout-1.0.4-1cl
- CL package created
- using new libxml2 directory layout
- patch to use python2 (it compiles, but is otherwise
  untested)
